%global fontname arkandis-gillius
%global fontconf 69-%{fontname}.conf

%global archivename1 Cantarell-Regular
%global archivename2 Cantarell-Oblique
%global archivename3 Cantarell-Bold
%global archivename4 Cantarell-BoldOblique

Name:           %{fontname}-fonts
Version:        1.008
Release:        2%{?dist}
Summary:        Gillius ADF sans-serif typeface family

Group:          User Interface/X
License:        GPLv2+ with exceptions
URL:            http://arkandis.tuxfamily.org/adffonts.html
Source0:	http://arkandis.tuxfamily.org/fonts/Gillius-Collection.zip
Source1:        %{fontname}-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:	fontpackages-filesystem

%description

The Gillius family from the Arkandis Digital Foundry is a set of sans-serif
typefaces intended as an alternative to Gill Sans. Its two widths, regular and
condensed, both feature a roman and an italic, and each includes a medium and
bold weight.

A slightly rounder variant, Gillius ADF No2, features the same set of weights,
widths, and slopes. 

%prep
%setup -n Gillius-Collection
cp %{SOURCE1} .
for file in NOTICE OTF/COPYING; do
 sed "s|\r||g" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done

%build


%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p OTF/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.otf

%doc NOTICE OTF/COPYING

%changelog
* Mon Nov 15 2010 Michael J Gruber <mjg at fedoraproject.org> - 1.008-2
- Add fontconfig rules for Gillius ADF No2

* Sun Nov 14 2010 Michael J Gruber <mjg at fedoraproject.org> - 1.008-1
- Initial packaging for Fedora
